
/*
   Project:     SOFTSUSY 1.2
   File:        utils.cpp
   Author:      Ben Allanach 
   Manual:      hep-ph/0104145 
   Webpage:     http://allanach.home.cern.ch/allanach/softsusy.html

   $Log: utils.cpp,v $
   Revision 1.2  2001/07/18 14:42:51  allanach
   Added proper header info

 */

#include "utils.h"

// a < b, or error message
void check(double a, double b, char * fnname) {
  if (a > b)
    {
      cout << "Error in " << fnname << ", error=" << a << " > tolerance " <<
	b; 
      exit(1);
    }
}

int theta(double a) {
  int temp = 0;
  if (a > 0.0) temp = 1;
  return temp;
}

// Just sets precision and format of outputs
void outputCharacteristics(int n) {
  cin.setf(ios::scientific, ios::floatfield);
  cin.precision(n);
  cout.setf(ios::scientific, ios::floatfield);
  cout.precision(n);
  cerr.setf(ios::scientific, ios::floatfield);
  cerr.precision(n);
}

